net.dontdrinkandroot.wicket.bootstrap.css

## Class InvertibleIconClass

- java.lang.Object
- - net.dontdrinkandroot.wicket.bootstrap.css.InvertibleIconClass

All Implemented Interfaces:
  Serializable, net.dontdrinkandroot.wicket.css.CssClass

    public class InvertibleIconClass
    extends Object
    implements net.dontdrinkandroot.wicket.css.CssClass

Holds a CssClass that refers to an item CssClass and also provides the ability to invert this icon, so it can be used to fully specify the icon.

Author:
  Philip W. Sorst<philip@sorst.net>
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvertibleIconClass(net.dontdrinkandroot.wicket.css.CssClass iconClass)`
`InvertibleIconClass(net.dontdrinkandroot.wicket.css.CssClass iconClass, boolean inverted)`

### Method Summary

Methods
`String` `getClassString()`
`InvertibleIconClass` `invert()`
`boolean` `isInverted()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvertibleIconClass

    public InvertibleIconClass(net.dontdrinkandroot.wicket.css.CssClass iconClass)

#### InvertibleIconClass

    public InvertibleIconClass(net.dontdrinkandroot.wicket.css.CssClass iconClass,
                       boolean inverted)

### Method Detail

#### getClassString

    public String getClassString()

Specified by:
  `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`

#### invert

    public InvertibleIconClass invert()

#### isInverted

    public boolean isInverted()